# Get all currencies

## Fetch all currencies

> Fetch all supported currencies.

```json
{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://api.finrax.com","description":"Generated server url"}],"paths":{"/v1/currencies":{"get":{"summary":"Fetch all currencies","description":"Fetch all supported currencies.","operationId":"fetch-currencies","responses":{"200":{"description":"Returns the supported currencies.","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/CurrencyDetailsResponse"}}}}}}}}},"components":{"schemas":{"CurrencyDetailsResponse":{"required":["abbreviation","isERC20","isFiat","model","name"],"type":"object","properties":{"abbreviation":{"type":"string","description":"Currency code."},"name":{"type":"string","description":"Currency full name."},"model":{"type":"string","description":"Currency model.","enum":["FIAT","ACCOUNT","UTXO"]},"supportedNetworks":{"uniqueItems":true,"type":"array","description":"Supported networks, if this is a cryptocurrency.","items":{"type":"string","description":"Supported networks, if this is a cryptocurrency.","enum":["BCH","BTC","LTC","XLM","XRP","ETH","BSC","SOL","TRX"]}},"defaultNetwork":{"type":"string","description":"Default network, if this is a cryptocurrency.","enum":["BCH","BTC","LTC","XLM","XRP","ETH","BSC","SOL","TRX"]},"isFiat":{"type":"boolean","description":"True for fiat currencies, otherwise false."},"isERC20":{"type":"boolean","description":"True for ERC-20 tokens, otherwise false."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finrax.com/references/currencies-and-fees/get-all-currencies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
